Bug 241037 - missing perl-Email-Simple dependendy
missing perl-Email-Simple dependendy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 14:48 EDT by Randy Zagar
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 10:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Randy Zagar 2007-05-23 14:48:37 EDT
Description of problem:


Version-Release number of selected component (if applicable):
3.0-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to bugzilla 3.0-1.fc6
2. Run checksetup.pl
3. Receive warnings about Email:: modules
  
Actual results:

***********************************************************************
* REQUIRED MODULES                                                    *
***********************************************************************
* Bugzilla requires you to install some Perl modules which are either *
* missing from your system, or the version on your system is too old. *
*                                                                     *
* The latest versions of each module can be installed by running the  *
* commands below.                                                     *
***********************************************************************
COMMANDS:

    /usr/bin/perl -MCPAN -e 'install Email::Send'
    /usr/bin/perl -MCPAN -e 'install Email::MIME::Modifier'

**********************************************************************
* OPTIONAL MODULES                                                   *
**********************************************************************
* Certain Perl modules are not required by Bugzilla, but by          *
* installing the latest version you gain access to additional        *
* features.                                                          *
*                                                                    *
* The optional modules you do not have installed are listed below,   *
* with the name of the feature they enable. If you want to install   *
* one of these modules, just run the appropriate command in the      *
* "COMMANDS TO INSTALL" section.                                     *
**********************************************************************

***********************************************************************
* MODULE NAME * ENABLES FEATURE(S)                                    *
***********************************************************************
* Email-Reply * Inbound Email                                         *
***********************************************************************
COMMANDS TO INSTALL:

    Email-Reply: /usr/bin/perl -MCPAN -e 'install Email::Reply'


Expected results:
Checking perl modules...
Checking for             CGI (v2.93)   ok: found v3.15 
Checking for        TimeDate (v2.21)   ok: found v2.22 
Checking for             DBI (v1.41)   ok: found v1.52 
Checking for       PathTools (v0.84)   ok: found v3.12 
Checking for Template-Toolkit (v2.12)   ok: found v2.18 
Checking for      Email-Send (v2.00)   ok: found v2.185 
Checking for Email-MIME-Modifier (any)     ok: found v1.441 

Checking available perl DBD modules...
Checking for          DBD-Pg (v1.45)   ok: found v1.49 
Checking for       DBD-mysql (v2.9003) ok: found v3.0007 

The following Perl modules are optional:
Checking for              GD (v1.20)   ok: found v2.35 
Checking for     Template-GD (any)     ok: found v1.56 
Checking for           Chart (v1.0)    ok: found v2.4.1 
Checking for         GDGraph (any)     ok: found v1.4308 
Checking for      GDTextUtil (any)     ok: found v0.86 
Checking for        XML-Twig (any)     ok: found v3.29 
Checking for      MIME-tools (v5.406)  ok: found v5.420 
Checking for     libwww-perl (any)     ok: found v2.033 
Checking for     PatchReader (v0.9.4)  ok: found v0.9.5 
Checking for      PerlMagick (any)     ok: found v6.2.8 
Checking for       perl-ldap (any)     ok: found v0.33 
Checking for       SOAP-Lite (any)     ok: found v0.68 
Checking for     HTML-Parser (v3.40)   ok: found v3.55 
Checking for   HTML-Scrubber (any)     ok: found v0.08 
Checking for Email-MIME-Attachment-Stripper (any)     ok: found v1.313 
Checking for     Email-Reply (any)     ok: found v1.201 
Checking for        mod_perl (v1.999022) ok: found v2.000002 
Checking for             CGI (v3.11)   ok: found v3.15 
Checking for      Apache-DBI (v0.96)   ok: found v1.06 
Reading /etc/bugzilla/localconfig...
Checking for       DBD-mysql (v2.9003) ok: found v3.0007 
Checking for           MySQL (v4.1.2)  ok: found v5.0.27


Additional info:
Running "yum -y install perl-Email-Simple" makes the problem go away
Comment 1 John Berninger 2007-05-24 10:12:14 EDT
New packages have been built that resolve this issue.  Please try upgrading to
them as soon as they are signed and released into the public repos.

Note You need to log in before you can comment on or make changes to this bug.